---
id: 6140cd32d018ed0f600eefce
title: Step 4
challengeType: 0
dashedName: step-4
---

# --description--

Set the `position` property of the `.wheel` selector to `absolute`. Set the `height` and `width` both to `55vw`.

# --hints--

Your `.wheel` selector should have a `position` property set to `absolute`.

```js
assert.strictEqual(new __helpers.CSSHelp(document).getStyle('.wheel')?.position, 'absolute');
```

Your `.wheel` selector should have a `height` property set to `55vw`.

```js
assert.strictEqual(new __helpers.CSSHelp(document).getStyle('.wheel')?.height, '55vw');
```

Your `.wheel` selector should have a `width` property set to `55vw`.

```js
assert.strictEqual(new __helpers.CSSHelp(document).getStyle('.wheel')?.width, '55vw');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Ferris Wheel</title>
    <link rel="stylesheet" href="./styles.css">
  </head>
  <body>
    <div class="wheel">
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>

      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
    </div>
  </body>
</html>
```

```css
.wheel {
  border: 2px solid black;
  border-radius: 50%;
  margin-left: 50px;
--fcc-editable-region--
  
--fcc-editable-region--
}
```
